---
lang: en
title: 'API docs: rest.route._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.route._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [Route](./rest.route.md) &gt; [(constructor)](./rest.route._constructor_.md)

## Route._constructor_

Constructs a new instance of the `Route` class

<b>Signature:</b>

```typescript
constructor(verb: string, path: string, spec: OperationObject, _handler: Function);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  verb | <code>string</code> |  |
|  path | <code>string</code> |  |
|  spec | <code>OperationObject</code> |  |
|  \_handler | <code>Function</code> |  |


